Watchlist and AML screening
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/watchlist-aml \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/watchlist-aml"
payload = {
"name": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '', trustFlowId: 0, trustValidationId: '{your_trust_validation_id}'})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/watchlist-aml', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Watchlist AML screening processed successfully",
"data": {
"matchCount": 1,
"matches": [
{
"qrCode": "8200218",
"resourceId": "171e798fd34422263423cabe59f257c348c544f5610657b228d4d6678176edc2",
"score": 90,
"match": "Noor Afifah Binti Abdul Razak",
"name": "Noor Afifah Abdul Razak",
"countries": [
"MY"
],
"addresses": [
{
"geography": "MY"
}
],
"datasets": [
"PEP-CURRENT"
],
"currentSanBodyIds": [],
"formerSanBodyIds": [],
"version": 1746848700420,
"resourceUri": "/individuals/171e798fd34422263423cabe59f257c348c544f5610657b228d4d6678176edc2",
"datesOfBirth": [],
"gender": "Female",
"profileImage": "https://www.acurisriskintelligence.com/cdn/content/ari0201936/u4kyqHb6s.jpg",
"pepTier": "PEP Tier 2"
}
]
},
"verificationStatus": "REVIEW_NEEDED",
"verificationStatusCode": 2,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "aml",
"metadata": null
}Compliance
Watchlist and AML Screening
Check individuals against global watchlists and anti‐money laundering databases.
POST
/
api
/
v3
/
verifications
/
watchlist-aml
Watchlist and AML screening
Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
application/json
Full name of the individual to be screened.
Identifier used to categorize or group requests for tracking or reporting.
A unique ID used to identify your verification request.
Optional date of birth of the individual in YYYY-MM-DD format.
Optional gender of the individual.
Response
200 - application/json
AML screening completed successfully
⌘I

